## GstGhostPad

GstGhostPad — Pseudo link pads

## Synopsis

    struct      GstGhostPad;
    #define     GST_GPAD_REALPAD                (pad)
    GstPad*     gst_ghost_pad_new               (const gchar *name,
                                                 GstPad *pad);
    xmlNodePtr  gst_ghost_pad_save_thyself      (GstPad *pad,
                                                 xmlNodePtr parent);

## Object Hierarchy

      GObject
       +----GstObject
             +----GstPad
                   +----GstGhostPad

## Properties

      "real-pad"             GstPad               : Read / Write

## Description

## Details

### struct GstGhostPad

    struct GstGhostPad;

### GST_GPAD_REALPAD()

    #define GST_GPAD_REALPAD(pad)		(((GstGhostPad *)(pad))->realpad)

Get the real pad of this ghost pad.

`pad` : | the real pad to query.

### gst_ghost_pad_new ()

    GstPad*     gst_ghost_pad_new               (const gchar *name,
                                                 GstPad *pad);

Creates a new ghost pad associated with `pad`, and named `name`. If `name` is `NULL`, a guaranteed unique name (across all ghost pads) will be assigned.

`name` : | the name of the new ghost pad.
`pad` : | the GstPad to create a ghost pad for.
Returns : | a new ghost GstPad, or `NULL` in case of an error.

### gst_ghost_pad_save_thyself ()

    xmlNodePtr  gst_ghost_pad_save_thyself      (GstPad *pad,
                                                 xmlNodePtr parent);

Saves the ghost pad into an xml representation.

`pad` : | a ghost GstPad to save.
`parent` : | the parent xmlNodePtr to save the description in.
Returns : | the xmlNodePtr representation of the pad.

## Properties

"`real-pad`" (GstPad : Read / Write) | The real pad for the ghost pad.